# *Percona XtraBackup* 2.4.13

Percona is glad to announce the release of *Percona XtraBackup* 2.4.13 on
January 18, 2019. Downloads are available from our [download site](http://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-2.4.13/) and
from [apt](../../installation/apt_repo.md#apt-repo) and [yum](../../installation/yum_repo.md#yum-repo) repositories.

All Percona software is open-source and free.

## Improvements and New Features


* [PXB-1548](https://jira.percona.com/browse/PXB-1548): Percona Xtrabackup enables updating the
`ib_buffer_pool` file with the latest pages present in the buffer pool
by setting the `xtrabackup --dump-innodb-buffer-pool` option to
ON. Thanks to Marcelo Altmann for contribution.

## Bus Fixed

* `xtrabackup` did not delete missing tables from the partial backup which led to error messages logged by the server on startup. Bug fixed [PXB-1536](https://jira.percona.com/browse/PXB-1536).

* The `--history` option did not work when autocommit was disabled. Bug fixed [PXB-1569](https://jira.percona.com/browse/PXB-1569).

* `xtrabackup` could fail to backup encrypted tablespace when it was recently created or altered. Bug fixed [PXB-1648](https://jira.percona.com/browse/PXB-1648).

* When the `--throttle` option was used, the applied value was different from the one specified by the user (off by one error). Bug fixed [PXB-1668](https://jira.percona.com/browse/PXB-1668).

* It was not allowed for MTS (multi-threaded slaves)  without GTID to be backed up with `--safe-slave-backup`. Bug fixed [PXB-1672](https://jira.percona.com/browse/PXB-1672).

* Percona Xtrabackup could crash when the `ALTER TABLE … TRUNCATE PARTITION` command was run during a backup without locking DDL. Bug fixed [PXB-1679](https://jira.percona.com/browse/PXB-1679).

* `xbcrypt` could display an assertion failure and generated core if the required parameters are missing. Bug fixed [PXB-1683](https://jira.percona.com/browse/PXB-1683).

* Using `--lock-ddl-per-table` caused the server to scan all records of partitioned tables which could lead to the “out of memory” error. Bugs fixed [PXB-1691](https://jira.percona.com/browse/PXB-1691) and [PXB-1698](https://jira.percona.com/browse/PXB-1698).

* xtrabackup –prepare could hang while performing insert buffer merge. Bug fixed [PXB-1704](https://jira.percona.com/browse/PXB-1704).

* Incremental backups did not update `xtrabackup_binlog_info` with `--binlog-info=lockless`. Bug fixed [PXB-1711](https://jira.percona.com/browse/PXB-1711).

Other bugs fixed: [PXB-1570](https://jira.percona.com/browse/PXB-1570), [PXB-1609](https://jira.percona.com/browse/PXB-1609), [PXB-1632](https://jira.percona.com/browse/PXB-1632)
