# *Percona XtraBackup* 2.4.9

Percona is glad to announce the release of *Percona XtraBackup* 2.4.9 on
November 29th 2017. Downloads are available from our [download site](http://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-2.4.9/) and
from [apt](../../installation/apt_repo.md#apt-repo) and [yum](../../installation/yum_repo.md#yum-repo) repositories.

This release is the current GA (Generally Available) stable release in the 2.4
series.

## New Features

* *Percona XtraBackup* packages are now available for *Ubuntu 17.10 (Artful)*.

* xbcrypt now has an ability to decrypt files in parallel by specifying the
number of threads with the `xtrabackup --encrypt-threads` option.

* `xtrabackup --copy-back` option can now be used with
`xtrabackup --parallel` option to copy the user data files in
parallel (redo logs and system tablespaces are copied in the main thread).

## Bugs fixed

* *Percona XtraBackup* would fail to backup large databases on 32-bit platforms.
Bug fixed [PXB-481](https://jira.percona.com/browse/PXB-481).

* *Percona XtraBackup* failed to build with *GCC 7*. Bug fixed [PXB-502](https://jira.percona.com/browse/PXB-502).

* *Percona XtraBackup* would hang during the prepare phase if there was not
enough room in log buffer to accommodate checkpoint information at the end
of the crash recovery process. Bug fixed [PXB-506](https://jira.percona.com/browse/PXB-506).

* When backup was streamed in tar format with with the
`xtrabackup --slave-info` option
output file `xtrabackup_slave_info` did not contain the slave
information. Bug fixed [PXB-507](https://jira.percona.com/browse/PXB-507).

* If xtrabackup –slave-info was used while backing up 5.7 instances,
the master binary log coordinates were not properly displayed in the logs.
Bug fixed [PXB-508](https://jira.percona.com/browse/PXB-508).

* `innobackupex --slave-info` would report a single `m` instead of
`slave info` in the standard output. Bug fixed [PXB-510](https://jira.percona.com/browse/PXB-510).

* *Percona XtraBackup* would crash while preparing the 5.5 backup with
`utf8_general50_ci` collation. Bug fixed [PXB-748](https://jira.percona.com/browse/PXB-748) (*Fungo Wang*).

* *Percona XtraBackup* would crash if `xtrabackup --throttle` was used
while preparing backups. Fixed by making this option available only during the
backup process. Bug fixed [PXB-789](https://jira.percona.com/browse/PXB-789).

* *Percona XtraBackup* could get stuck if backups are taken with
`xtrabackup --safe-slave-backup` option, while there were long
running queries. Bug fixed [PXB-1039](https://jira.percona.com/browse/PXB-1039).

Other bugs fixed: [PXB-250](https://jira.percona.com/browse/PXB-250), [PXB-511](https://jira.percona.com/browse/PXB-511), and [PXB-512](https://jira.percona.com/browse/PXB-512).
