# Trademark Policy

This Trademark Policy is to ensure that users of Percona-branded products or
services know that what they receive has really been developed, approved,
tested and maintained by Percona. Trademarks help to prevent confusion in the
marketplace, by distinguishing one company’s or person’s products and
services from another’s.

Percona owns a number of marks, including but not limited to Percona, XtraDB,
Percona XtraDB, XtraBackup, Percona XtraBackup, Percona Server, and Percona
Live, plus the distinctive visual icons and logos associated with these marks.
Both the unregistered and registered marks of Percona are protected.

Use of any Percona trademark in the name, URL, or other identifying
characteristic of any product, service, website, or other use is not permitted
without Percona’s written permission with the following three limited
exceptions.

*First*, you may use the appropriate Percona mark when making a nominative fair
use reference to a bona fide Percona product.

*Second*, when Percona has released a product under a version of the GNU
General Public License (“GPL”), you may use the appropriate Percona mark when
distributing a verbatim copy of that product in accordance with the terms and
conditions of the GPL.

*Third*, you may use the appropriate Percona mark to refer to a distribution of
GPL-released  Percona software that has been modified with minor changes for
the sole purpose of allowing the software to operate on an operating system or
hardware platform for which Percona has not yet released the software, provided
that those third party changes do not affect the behavior, functionality,
features, design or performance of the software. Users who acquire this
Percona-branded software receive substantially exact implementations of the
Percona software.

Percona reserves the right to revoke this authorization at any time in its sole
discretion. For example, if Percona believes that your modification is beyond
the scope of the limited license granted in this Policy or that your use of the
Percona mark is detrimental to Percona, Percona will revoke this authorization.
Upon revocation, you must immediately cease using the applicable Percona mark.
If you do not immediately cease using the Percona mark upon revocation, Percona
may take action to protect its rights and interests in the Percona mark.
Percona does not grant any license to use any Percona mark for any other
modified versions of Percona software; such use will require our prior written
permission.

Neither trademark law nor any of the exceptions set forth in this Trademark
Policy permit you to truncate, modify or otherwise use any Percona mark as part
of your own brand. For example, if XYZ creates a modified version of the
Percona Server, XYZ may not brand that modification as “XYZ Percona Server” or
“Percona XYZ Server”, even if that modification otherwise complies with the
third exception noted above.

In all cases, you must comply with applicable law, the underlying license, and
this Trademark Policy, as amended from time to time. For instance, any mention
of Percona trademarks should include the full trademarked name, with proper
spelling and capitalization, along with attribution of ownership to Percona LLC
and/or its affiliates. For example, the full proper name for XtraBackup is
Percona XtraBackup. However, it is acceptable to omit the word “Percona” for
brevity on the second and subsequent uses, where such omission does not cause
confusion.

In the event of doubt as to any of the conditions or exceptions outlined in
this Trademark Policy, please contact [trademarks@percona.com](mailto:trademarks@percona.com) for assistance and
we will do our very best to be helpful.
